Arch Raum

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Space and the translation is 74% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Arch Roof.svg Dach Vorherige:
Nächste: Treppe Arch Stairs.svg Arrow-right.svg

Arch Space.svg Arch Raum

Menüeintrag
Arch → Raum
Arbeitsbereich
Arch
Standardtastenkürzel
S P
In der Version eingeführt
0.14
Siehe auch
Wand, Struktur


Beschreibung

Das Raum-Werkzeug erlaubt die Definition eines leeren Raums, entweder basierend auf einer Volumenkörperform oder durch Definition der Begrenzungen oder einer Mischung von beiden. Wenn er lediglich auf Begrenzungen basiert, wird der Raum ausgehend vom Begrenzungsrahmen aller gegebenen Begrenzungen berechnet, abzüglich der Räume hinter jeder Begrenzungen. Das Raum-Objekt definiert immer einen Volumenkörper. Der Fußbodenbereich eines Raum-Objekts, berechnet durch eine horizontale Schnittebene im Zentrum der Masse des Raum-Objekts, kann ebenfalls angezeigt werden, indem der 'Display Mode' des Raum-Objekts auf detailed gesetzt wird.

Arch Space example.jpg

Ein Raum-Objekt wird aus einem existierenden Volumenkörper erzeugt, dann werden zwei Flächen als Begrenzungen hinzugefügt und der 'Display Mode' wird auf "detailed" gesetzt, um den Fußbodenbereich anzuzeigen.

Anwendung

  1. Wähle einen existierenden Volumenkörper oder Flächen auf begrenzenden Objekten
  2. Drücke die Schaltfläche Arch Space.svg Raum oder drücke S P.

Einschränkungen

  • Die Boundaries-Eigenschaften können momentan nicht über die GUI geändert werden.
  • Siehe das forum announcement.

Eigenschaften

  • Daten-EigenschaftBase: Das Basisobjekt, wenn überhaupt (muss ein Volumenkörper sein)
  • Daten-EigenschaftBoundaries: Eine Liste von optionalen Begrenzungselementen
  • VIEWText: The text to show. Use $area, $label, $tag, $floor, $walls, $ceiling to insert the respective data
  • VIEWFontName: The name of the font
  • VIEWTextColor: The color of the text
  • VIEWFontSize: The size of the text
  • VIEWFirstLine: The size of the first line of text (multiplies the font size. 1 = same size, 2 = double size, etc..)
  • VIEWLineSpacing: The space between the lines of text
  • VIEWTextPosition: The position of the text. Leave (0,0,0) for automatic position
  • VIEWTextAlign: The justification of the text
  • VIEWDecimals: The number of decimals to use for calculated texts
  • VIEWShowUnit: Show the unit suffix or not

Options

  • To create zones that group several spaces, use a Arch BuildingPart and set its IFC type to "Spatial Zone"
  • The space object has the same display modes as other Arch and Part objects, with one more, called Footprint, that displays only the bottom face of the space. introduced in version 0.19

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Das Raum-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

Space = makeSpace(objects=None, baseobj=None, name="Space")
  • Erstellt ein Space-Objekt aus den gegebenen objects oder baseobj, die
    • ein Dokument-Objekt sein können, wodurch es zur Basisform des Raum-Objekts wird oder
    • eine Liste von Auswahl-Objekten wie von FreeCADGui.Selection.getSelectionEx() oder
    • eine Liste von Tupeln (object, subobjectname)

Beispiel:

import FreeCAD, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000

Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()

Nach der Erstellung eines Raum-Objekts können ausgewählte Flächen durch den folgenden Code hinzugefügt werden:

import FreeCAD, FreeCADGui, Draft, Arch

points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)

Begrenzungen können auch entfernt werden, wieder durch auswählen der angegebenen Flächen:

selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Arrow-left.svg Arch Roof.svg Dach Vorherige:
Nächste: Treppe Arch Stairs.svg Arrow-right.svg